API DocumentationStats
Live block storage stats
Returns live aggregate block storage statistics for the project (total and used capacity across volumes).
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
project_id*string
ID of the project used to filter results.
region?string
Optional region filter.
attached_vm_id?string
Optional filter for volumes attached to a specific VM.
Format
uuidResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/stats/block-storage/live?project_id=default"{ "total_size": 500, "used_size": 120, "used_percentage": 24}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}